# Class TCefFastMediaSinkDeviceInfoCallback

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFMediaSinkDeviceInfoCallback

## Declaration

`type TCefFastMediaSinkDeviceInfoCallback = class(TCefMediaSinkDeviceInfoCallbackOwn)`

## Description

This item has no description.

## Hierarchy

- TInterfacedObject
- TCefBaseRefCountedOwn
- TCefMediaSinkDeviceInfoCallbackOwn
- TCefFastMediaSinkDeviceInfoCallback

## Overview

### Fields

| `FCallback: TCefMediaSinkDeviceInfoCallbackProc;`

### Methods

| `procedure OnMediaSinkDeviceInfo(const ip_address: ustring; port: integer; const model_name: ustring); override;`
| `constructor Create(const callback: TCefMediaSinkDeviceInfoCallbackProc); reintroduce;`
| `destructor Destroy; override;`

## Description

### Fields

| `FCallback: TCefMediaSinkDeviceInfoCallbackProc;`
This item has no description.

### Methods

| `procedure OnMediaSinkDeviceInfo(const ip_address: ustring; port: integer; const model_name: ustring); override;`
This item has no description. Showing description inherited from ICefMediaSinkDeviceInfoCallback.OnMediaSinkDeviceInfo. Method that will be executed asyncronously once device information has been retrieved.

| `constructor Create(const callback: TCefMediaSinkDeviceInfoCallbackProc); reintroduce;`
This item has no description.

| `destructor Destroy; override;`
This item has no description.

Generated by PasDoc 0.16.0-snapshot.